Skip to content

Return the full node tree for one browsable catalog.

GET
/api/workspace/catalogs/{catalogDefinitionId}/tree
curl --request GET \
--url https://example.com/api/workspace/catalogs/example/tree \
--header 'Authorization: Bearer <token>'
catalogDefinitionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Full runtime node tree for one browsable catalog.

object
Catalog

One runtime-browsable catalog row.

object
Id

Catalog definition identifier.

string
nullable
Key

Stable catalog key.

string
nullable
DisplayName

Catalog display name.

string
nullable
Description

Optional free-form description.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2
CanManageNodes

Whether the caller may create, rename, move, or delete nodes in this catalog.

boolean
Nodes

Flat node list ordered by depth, sort order, and display name.

Array<object>
nullable

One runtime catalog node.

object
Id

Node identifier.

string
nullable
CatalogDefinitionId

Owning catalog definition identifier.

string
nullable
NodeTypeId

Catalog node type definition identifier for entity-backed hierarchies.

string
nullable
ParentNodeId

Parent node identifier or null for root nodes.

string
nullable
Key

Stable sibling key generated at create time.

string
nullable
DisplayName

Node display name.

string
nullable
Description

Optional free-form description.

string
nullable
PathNodeIds

Ordered identifier path from the top-level node through this node.

Array<string>
nullable
Breadcrumbs

Display breadcrumb segments resolved from current node metadata.

Array<object>
nullable

One display breadcrumb segment for a catalog node.

object
NodeId

Node identifier.

string
nullable
DisplayName

Current node display name.

string
nullable
Depth

Zero-based tree depth.

integer format: int32
SortOrder

Sibling sort order.

integer format: int32
ChildCount

Number of direct child nodes.

integer format: int32
RowVersion

Concurrency token.

string format: uuid
CreatedAt

Node creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
Targets

Admitted placement targets ordered by target sort order.

Array<object>
nullable

One Entity Definition admitted as a placement target of a runtime-browsable catalog.

object
EntityDefinitionId

Admitted Entity Definition identifier.

string
nullable
DisplayNameSingular

Entity Definition singular display name.

string
nullable
DisplayNamePlural

Entity Definition plural display name.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Catalog": {
"Kind": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Full runtime node tree for one browsable catalog.

object
Catalog

One runtime-browsable catalog row.

object
Id

Catalog definition identifier.

string
nullable
Key

Stable catalog key.

string
nullable
DisplayName

Catalog display name.

string
nullable
Description

Optional free-form description.

string
nullable
Kind
integer format: int32
Allowed values: 0 1 2
CanManageNodes

Whether the caller may create, rename, move, or delete nodes in this catalog.

boolean
Nodes

Flat node list ordered by depth, sort order, and display name.

Array<object>
nullable

One runtime catalog node.

object
Id

Node identifier.

string
nullable
CatalogDefinitionId

Owning catalog definition identifier.

string
nullable
NodeTypeId

Catalog node type definition identifier for entity-backed hierarchies.

string
nullable
ParentNodeId

Parent node identifier or null for root nodes.

string
nullable
Key

Stable sibling key generated at create time.

string
nullable
DisplayName

Node display name.

string
nullable
Description

Optional free-form description.

string
nullable
PathNodeIds

Ordered identifier path from the top-level node through this node.

Array<string>
nullable
Breadcrumbs

Display breadcrumb segments resolved from current node metadata.

Array<object>
nullable

One display breadcrumb segment for a catalog node.

object
NodeId

Node identifier.

string
nullable
DisplayName

Current node display name.

string
nullable
Depth

Zero-based tree depth.

integer format: int32
SortOrder

Sibling sort order.

integer format: int32
ChildCount

Number of direct child nodes.

integer format: int32
RowVersion

Concurrency token.

string format: uuid
CreatedAt

Node creation timestamp.

string format: date-time
ModifiedAt

Last modification timestamp.

string format: date-time
nullable
Targets

Admitted placement targets ordered by target sort order.

Array<object>
nullable

One Entity Definition admitted as a placement target of a runtime-browsable catalog.

object
EntityDefinitionId

Admitted Entity Definition identifier.

string
nullable
DisplayNameSingular

Entity Definition singular display name.

string
nullable
DisplayNamePlural

Entity Definition plural display name.

string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Catalog": {
"Kind": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}